ドメイン

短縮リンク用のカスタムドメイン。

GET/api/v1/domains
ドメイン を一覧
名前必須説明
pageintegerいいえPage number (default 1)
results_per_pageintegerいいえItems per page (default 25, max 100)
searchstringいいえSearch term
search_bystringいいえColumn to search
order_bystringいいえSort column
order_typestringいいえasc or desc
datetime_startstringいいえISO datetime filter start
datetime_endstringいいえISO datetime filter end
curl -X GET 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/available
利用可能なドメインを一覧
curl -X GET 'https://forqrcode.com/api/v1/domains/available' \
  -H 'Authorization: Bearer YOUR_API_KEY'
GET/api/v1/domains/{id}
ドメイン を 1 件取得
名前必須説明
idintegerはい
curl -X GET 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
POST/api/v1/domains
ドメイン を作成
名前必須説明
hoststringはい
curl -X POST 'https://forqrcode.com/api/v1/domains' \
  -H 'Authorization: Bearer YOUR_API_KEY'
PATCH/api/v1/domains/{id}
ドメイン を更新
名前必須説明
idintegerはい
curl -X PATCH 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'
DELETE/api/v1/domains/{id}
ドメイン を削除
名前必須説明
idintegerはい
curl -X DELETE 'https://forqrcode.com/api/v1/domains/{id}' \
  -H 'Authorization: Bearer YOUR_API_KEY'

パラメータ名と JSON 例は英語です。YOUR_API_KEY を自分のキーに置き換えてください。